/**
 * TCS Dependency Map Renderer
 *
 * Copyright (c) 2005 TopCoder, Inc. All rights Reserved.
 */
package com.topcoder.rules.dependencymap.view.AccuracyTests.Enh6;

import java.util.HashSet;
import java.util.Set;

import com.topcoder.rules.dependencymap.view.Dependency;
import com.topcoder.rules.dependencymap.view.DependencyRenderer;

/**
 * Logs the call to render method.
 * @author cucu
 */
public class SpyDependencyRenderer extends DependencyRenderer {
    Set log = new HashSet();

    public void render(Dependency dep) {
        log.add(dep.getTitle());
    }

    public Set getLog() {
        return log;
    }

}
